
<?php
defined('_JEXEC') or die;
$templateName = JFactory::getApplication('site')->getTemplate();
$templateDir = JPATH_THEMES . '/' . $templateName;
require_once $templateDir . '/app/' . 'Editor.php';

if ($way = DesignerEditor::override($templateName, __FILE__)) {
	$editorDir = $templateName . '/editor';
    require($way);
    return;
} else {
?>
<?php
require_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'functions.php';

// Create alias for $this object reference:
$documentError = $this;
$document = JFactory::getDocument();

$document->seed = $GLOBALS['designer_settings']['is_preview'] ?  '?seed=' . round(microtime(true)) : '';
$document->head = "";
// Shortcut for template base url:
$document->templateUrl = $documentError->baseurl . '/templates/' . (isset($editorDir) ? $editorDir : $document->template);
?>

<!DOCTYPE html>
<html dir="ltr">
<head>
	<meta charset="utf-8" />
    <link href="<?php $document = JFactory::getDocument(); echo $document->templateUrl; ?>/images/designer/98a06d140b22c44c77e66ee18baf9539favicon.ico" rel="icon" type="image/x-icon" />
    <?php echo $document->head; ?>
    <script src="<?php echo $document->templateUrl; ?>/jquery.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
<?php if ($GLOBALS['designer_settings']['is_preview']) : ?>
<link rel="stylesheet" href="<?php echo $document->templateUrl; ?>/css/bootstrap.css<?php echo $document->seed;?>" media="screen" />
<?php else : ?>
<link rel="stylesheet" href="<?php echo $document->templateUrl; ?>/css/bootstrap.min.css" media="screen" />
<?php endif; ?>
<script src="<?php echo $document->templateUrl; ?>/bootstrap.min.js"></script>
    <?php if ($GLOBALS['designer_settings']['is_preview']) : ?>
    <link rel="stylesheet" href="<?php echo $document->templateUrl; ?>/css/template.css<?php echo $document->seed;?>" media="screen" />
    <?php else : ?>
    <link rel="stylesheet" href="<?php echo $document->templateUrl; ?>/css/template.min.css" media="screen" />
    <?php endif; ?>
    <script src="<?php echo $document->templateUrl; ?>/script.js"></script>
    <script src="<?php echo $document->templateUrl; ?>/virtuemart.js"></script>
    <script src="<?php echo $document->templateUrl; ?>/virtuemart.ex.js"></script>
    <?php if (isset($document->view)) $document->view->includeScripts(); ?>
    
    <link class="" href='http://fonts.googleapis.com/css?family=Open+Sans:100,200,300,400,500,600,700,800,900&subset=latin' rel='stylesheet' type='text/css'>
<script src="<?php echo $document->templateUrl; ?>/CloudZoom.js" type="text/javascript"></script>
    
</head>
<body class=" bootstrap bd-body-9 bd-pagebackground">
    <?php include($GLOBALS['designer_settings']['current_theme_path'] . '/includes/sheet_9.php'); ?>
</body>
</html>
<?php } ?>
