
<?php
defined('_JEXEC') or die;
$templateName = JFactory::getApplication('site')->getTemplate();
$templateDir = JPATH_THEMES . '/' . $templateName;
require_once $templateDir . '/app/' . 'Editor.php';

if ($way = DesignerEditor::override($templateName, __FILE__)) {
	$editorDir = $templateName . '/editor';
    require($way);
    return;
} else {
?>
<?php
require_once dirname(dirname(dirname(dirname(__FILE__)))) . DIRECTORY_SEPARATOR . 'functions.php';

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');

Designer::load("Designer_Content");

$blogProxy = new stdClass();

$blogProxy->pageCls = $this->pageclass_sfx;

$view = new DesignerContent($this, $this->params);
    
$blogProxy->pageHeading = $view->pageHeading;
$index = 0;

ob_start();

$leadingcount = 0;
?>

<?php if (!empty($this->lead_items)) : ?>
    <div class=" bd-grid-5">
        <div class="separated-grid row">
    <?php foreach ($this->lead_items as $item) : ?>
        <div class="separated-item-30 col-sm-24 ">
            <div class=" bd-griditem-30">
        <?php
            $this->item = $item;
            echo $this->loadTemplate('item');
        ?>
            </div>
        </div>
    <?php $leadingcount++; ?>
    <?php endforeach; ?>
        </div>
    </div>
<?php endif; ?>

<?php
$introcount = count($this->intro_items);
$counter = 0;
?>
<?php if (!empty($this->intro_items)) : ?>
    <div class=" bd-grid-5">
        <div class="separated-grid row">
    <?php
    if ($introcount <= $this->columns) {
        $columnWidth = floor(24/$introcount);
        $balanceWidth = 24 % $introcount;
    } else {
        $columnWidth = floor(24/$this->columns);
        $balanceWidth = 24%$this->columns;
    }
    ?>
    <?php foreach ($this->intro_items as $key => $item) : ?>
        <?php
            $key = ($key - $leadingcount) + 1;
            $rowcount = (((int)$key - 1) % (int)$this->columns) + 1;
            $row = $counter / $this->columns;
        ?>
        <?php if ($rowcount == 1) : ?>
            <?php
                // to do open row
            ?>
        <?php endif; ?>
        <?php
            $counter++;
        ?>
        <!--div class="col-sm-<?php echo $columnWidth + ($rowcount == $this->columns ? $balanceWidth : 0); ?>"-->
        <?php
            $itemsInRow = 0;
            $itemClass = 'separated-item-30 col-sm-24 ';
            if (0 === $itemsInRow) {
                $itemClass = preg_replace('/col-sm-\d+/', 'col-sm-' . round(24 / min(24, max(1, $this->columns))), $itemClass);
            }
        ?>
        <div class="<?php echo $itemClass; ?>">
            <div class=" bd-griditem-30">
        <?php
            $this->item = $item;
            echo $this->loadTemplate('item');
        ?>
            </div>
        </div>
        <?php if ($rowcount == $this->columns || $counter == $introcount) : ?>
            <?php
                // to do close row
            ?>
        <?php endif; ?>
    <?php endforeach; ?>
        </div>
    </div>
<?php endif; ?>
<?php
$blogProxy->content = ob_get_clean();

if ($this->params->def('show_pagination', 2) == 1
    || ($this->params->get('show_pagination') == 2
        && $this->pagination->get('pages.total') > 1))
{
    $GLOBALS['designer_settings']['active_paginator'] = 'specific';
    $blogProxy->pagination_list = $this->pagination->getPagesLinks();
}
?>
</div>
<?php
echo renderTemplateFromIncludes('blog_1', array($blogProxy));
?>
<?php } ?>
