
<?php
defined('_JEXEC') or die;
$templateName = JFactory::getApplication('site')->getTemplate();
$templateDir = JPATH_THEMES . '/' . $templateName;
require_once $templateDir . '/app/' . 'Editor.php';

if ($way = DesignerEditor::override($templateName, __FILE__)) {
	$editorDir = $templateName . '/editor';
    require($way);
    return;
} else {
?>
<?php
require_once dirname(dirname(dirname(dirname(__FILE__)))) . DIRECTORY_SEPARATOR . 'functions.php';

JHTML::_('behavior.modal');

/* Let's see if we found the product */
if (empty($this->product)) {
    echo JText::_('COM_VIRTUEMART_PRODUCT_NOT_FOUND');
    echo '<br /><br />  ' . $this->continue_link_html;
    return;
}

//create product title decorator object
$productTitleDecorator = new stdClass();
$productTitleDecorator->link = '';
$productTitleDecorator->name = $this->product->product_name;
//create product desc decorator object
$productDescDecorator = new stdClass();
$productDescDecorator->desc = $this->product->product_s_desc;
//create product price decorator object
$productPriceDecorator = new stdClass();
$productPriceDecorator->show_prices = $this->show_prices;
$productPriceDecorator->currency = $this->currency;
$productPriceDecorator->prices = $this->product->prices;
$productPriceDecorator->imagesExists = isset($this->product->images) ? true : false;
$productPriceDecorator->image = $productPriceDecorator->imagesExists ? $this->product->images[0] : null;
//create product buy decorator object
$productBuyDecorator = new stdClass();
$productBuyDecorator->prices = $this->product->prices;
$productBuyDecorator->min_order_level = isset($this->product->min_order_level) ? $this->product->min_order_level : null;
$productBuyDecorator->orderable = $this->product->orderable;
$productBuyDecorator->link = $this->product->link;
$productBuyDecorator->name = $this->product->product_name;
$productBuyDecorator->id = $this->product->virtuemart_product_id;
$productBuyDecorator->isOne = true;
//cretae products items collection
$productItems = new stdClass();
$productItems->productTitle = $productTitleDecorator;
$productItems->productDesc  = $productDescDecorator;
$productItems->productPrice = $productPriceDecorator;
$productItems->productBuy   = $productBuyDecorator;
?>
<div class=" bd-productoverview-1">
    <?php include($GLOBALS['designer_settings']['current_theme_path'] . '/includes/layoutcontainer_29.php'); ?>
	
		<?php 
    renderTemplateFromIncludes('tab_information_control_1', array($this));
?>
</div>
<?php } ?>
