
<?php
defined('_JEXEC') or die;
$templateName = JFactory::getApplication('site')->getTemplate();
$templateDir = JPATH_THEMES . '/' . $templateName;
require_once $templateDir . '/app/' . 'Editor.php';

if ($way = DesignerEditor::override($templateName, __FILE__)) {
	$editorDir = $templateName . '/editor';
    require($way);
    return;
} else {
?>
<?php 

require_once dirname(dirname(dirname(__FILE__))) . DIRECTORY_SEPARATOR . 'functions.php';

$application = JApplication::getInstance('site');
$template = $application->getTemplate();
$templatePath = JPATH_SITE . '/templates/' . $template;
if (false !== strpos(__FILE__, 'editor'))
    $templatePath .= '/editor';
$filePath = $templatePath . '/includes/breadcrumbs';

jimport('joomla.filesystem.folder');

$files = JFolder::files($filePath);

foreach ($files as $value) {
    $info  = pathinfo($value);
    $parts = explode('_', $info['filename']);
    $id = array_pop($parts);
    ob_start();
    include_once($filePath . '/' . $value);
    $attribs['items'][$id] = ob_get_clean();
}
?>
<?php } ?>
