
<?php
defined('_JEXEC') or die;
$templateName = JFactory::getApplication('site')->getTemplate();
$templateDir = JPATH_THEMES . '/' . $templateName;
require_once $templateDir . '/app/' . 'Editor.php';

if ($way = DesignerEditor::override($templateName, __FILE__)) {
	$editorDir = $templateName . '/editor';
    require($way);
    return;
} else {
?>
<?php
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');

require_once dirname(dirname(dirname(dirname(__FILE__)))) . DIRECTORY_SEPARATOR . 'functions.php';

Designer::load("Designer_Content");

$blogProxy = new stdClass();
$blogProxy->pageCls = $this->pageclass_sfx;

$index = 0;

$component = new DesignerContent($this, $this->params);

$blogProxy->pageHeading = $component->pageHeading;
$blogProxy->content = '';

ob_start();
?>
<div class="bd-container-inner">
    <form id="adminForm" action="<?php echo JRoute::_('index.php')?>" method="post">
        <fieldset class="filters">
        <legend class="hidelabeltxt"><?php echo JText::_('JGLOBAL_FILTER_LABEL'); ?></legend>
        <div class="filter-search">
            <?php if ($this->params->get('filter_field') != 'hide') : ?>
            <label class="filter-search-lbl" for="filter-search"><?php echo JText::_('COM_CONTENT_'.$this->params->get('filter_field').'_FILTER_LABEL').'&#160;'; ?></label>
            <input type="text" name="filter-search" id="filter-search" value="<?php echo $this->escape($this->filter); ?>" class="inputbox" onchange="document.getElementById('adminForm').submit();" />
            <?php endif; ?>

            <?php echo $this->form->monthField; ?>
            <?php echo $this->form->yearField; ?>
            <?php echo $this->form->limitField; ?>
            <button type="submit" class="button"><?php echo JText::_('JGLOBAL_FILTER_BUTTON'); ?></button>
        </div>
        <input type="hidden" name="view" value="archive" />
        <input type="hidden" name="option" value="com_content" />
        <input type="hidden" name="limitstart" value="0" />
        </fieldset>
        <div class=" bd-grid-5">
            <div class="separated-grid row">
        <?php foreach ($this->items as $i => $item) : ?>
                <div class="separated-item-30 col-sm-24 ">
                    <div class=" bd-griditem-30">
                    <?php
                        $this->item = $item;
                        echo $this->loadTemplate('item');
                    ?>
                    </div>
                </div>
        <?php endforeach; ?>
            </div>
        </div>
    </form>
</div>

<?php
$blogProxy->content = ob_get_clean();
$GLOBALS['designer_settings']['active_paginator'] = 'specific';
$blogProxy->pagination_list = $this->pagination->getPagesLinks();
echo renderTemplateFromIncludes('blog_1', array($blogProxy));
?>
<?php } ?>
