
<?php
defined('_JEXEC') or die;
$templateName = JFactory::getApplication('site')->getTemplate();
$templateDir = JPATH_THEMES . '/' . $templateName;
require_once $templateDir . '/app/' . 'Editor.php';

if ($way = DesignerEditor::override($templateName, __FILE__)) {
	$editorDir = $templateName . '/editor';
    require($way);
    return;
} else {
?>
<?php
require_once dirname(dirname(dirname(dirname(__FILE__)))) . DIRECTORY_SEPARATOR . 'functions.php';

$productsCount = count($this->product->customfieldsRelatedProducts);
$i = 0;
?>
    
    
        
    
	<div data-slider-id="relatedproducts_slider" class=" bd-productsslider-1">
	    <div class="bd-container-inner">
            <div class=" bd-block-5">
                <div class=" bd-container-46">
                    <h4><?php echo JText::_('COM_VIRTUEMART_RELATED_PRODUCTS'); ?></h4>
                </div>
                <div class=" bd-grid-26">
                    <div class="separated-grid row">
                        <div class="carousel slide<?php if ($productsCount <= 2): ?> single<?php endif; ?>">
                            <div class="carousel-inner">
                    <?php foreach ($this->product->customfieldsRelatedProducts as $field):	?>
                        <?php if ($i % 2 == 0): ?>
                            <div class="item<?php if ($i == 0): ?> active<?php endif ?>">
                        <?php endif; ?>
                        <?php
                            $display = $field->display;
                            if (preg_match('/<img[^>]+\/>/', $field->display, $matches)) {
                                $image = $matches[0];
                                $title = preg_replace ('/<img[^>]+\/>/', '', $field->display);
                            }
                            //create product title decorator object
                            $productTitleDecorator = new stdClass();
                            $productTitleDecorator->link = '';
                            $productTitleDecorator->name = $title;
                            //create product image decorator object
                            $productImageDecorator = new stdClass();
                            $productImageDecorator->imagesExists = '' !== $image ? true : false;
                            $productImageDecorator->image = $productImageDecorator->imagesExists ? $image : null;
                            $productImageDecorator->link = '';
                            //cretae products items collection
                            $productItems = new stdClass();
                            $productItems->productTitle = $productTitleDecorator;
                            $productItems->productImage = $productImageDecorator;
                        ?>
                        
                        <?php
                            $itemClass = 'separated-item-2 col-sm-24 grid';
                            $itemClass = preg_replace('/col-sm-\d+/', 'col-sm-' . round(24 / min(24, max(1, 2))), $itemClass);
                        ?>
                        <div class="<?php echo $itemClass; ?>">
                            <div class=" bd-griditem-2">
                                <?php 
    renderTemplateFromIncludes('product_image_2', array($productItems));
?>
	
		<?php 
    // todo context can be self product
    renderTemplateFromIncludes('product_sale_1', array($productItems));
?>
	
		<?php 
    // todo context can be self product
    renderTemplateFromIncludes('product_outofstock_1', array($productItems));
?>
	
		<?php 
    renderTemplateFromIncludes('product_title_3', array($productItems));
?>
	
		<?php 
    renderTemplateFromIncludes('product_price_2', array($productItems));
?>
	
		<?php 
    renderTemplateFromIncludes('product_buy_1', array($productItems));
?>
                            </div>
                        </div>
                        <?php if (($i + 1) % 2 == 0 || $i == $productsCount - 1): ?>
                            </div>
                        <?php endif ?>
                        <?php $i++ ?>
                    <?php endforeach; ?>
                    </div>
                    <?php if ($productsCount > 2): ?>
                        <div class="left-button">
    <a class=" bd-carousel-1" href="#">
        <span class=" bd-icon-12"></span>
    </a>
</div>

<div class="right-button">
    <a class=" bd-carousel-1" href="#">
        <span class=" bd-icon-12"></span>
    </a>
</div>
                    <?php endif ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
	</div>
<?php } ?>
